<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.tableData.mapper.SswWbjhCjCztDkfpxxNewMapper">

    <resultMap id="BaseResultMap" type="com.zksy.tableData.domain.SswWbjhCjCztDkfpxxNew">
            <id property="fpkjxxuuid" column="FPKJXXUUID" jdbcType="VARCHAR"/>
            <id property="ysyskmxuuid" column="YSYSKMXUUID" jdbcType="VARCHAR"/>
            <id property="trano" column="TRANO" jdbcType="VARCHAR"/>
            <result property="taxorgcode" column="TAXORGCODE" jdbcType="VARCHAR"/>
            <result property="paybnkno" column="PAYBNKNO" jdbcType="VARCHAR"/>
            <result property="orimsgno" column="ORIMSGNO" jdbcType="VARCHAR"/>
            <result property="traamt" column="TRAAMT" jdbcType="DECIMAL"/>
            <result property="payeropbkno" column="PAYEROPBKNO" jdbcType="VARCHAR"/>
            <result property="payeropbkname" column="PAYEROPBKNAME" jdbcType="VARCHAR"/>
            <result property="handorgname" column="HANDORGNAME" jdbcType="VARCHAR"/>
            <result property="payacct" column="PAYACCT" jdbcType="VARCHAR"/>
            <result property="taxvouno" column="TAXVOUNO" jdbcType="VARCHAR"/>
            <result property="billdate" column="BILLDATE" jdbcType="TIMESTAMP"/>
            <result property="taxpaycode" column="TAXPAYCODE" jdbcType="VARCHAR"/>
            <result property="taxpayname" column="TAXPAYNAME" jdbcType="VARCHAR"/>
            <result property="budgettype" column="BUDGETTYPE" jdbcType="VARCHAR"/>
            <result property="trimsign" column="TRIMSIGN" jdbcType="VARCHAR"/>
            <result property="corpcode" column="CORPCODE" jdbcType="VARCHAR"/>
            <result property="corpname" column="CORPNAME" jdbcType="VARCHAR"/>
            <result property="corptype" column="CORPTYPE" jdbcType="VARCHAR"/>
            <result property="budgetsubjectcode" column="BUDGETSUBJECTCODE" jdbcType="VARCHAR"/>
            <result property="budgetsubjectname" column="BUDGETSUBJECTNAME" jdbcType="VARCHAR"/>
            <result property="limitdate" column="LIMITDATE" jdbcType="TIMESTAMP"/>
            <result property="taxtypecode" column="TAXTYPECODE" jdbcType="VARCHAR"/>
            <result property="taxtypename" column="TAXTYPENAME" jdbcType="VARCHAR"/>
            <result property="budgetlevelcode" column="BUDGETLEVELCODE" jdbcType="VARCHAR"/>
            <result property="budgetlevelname" column="BUDGETLEVELNAME" jdbcType="VARCHAR"/>
            <result property="taxstartdate" column="TAXSTARTDATE" jdbcType="TIMESTAMP"/>
            <result property="taxenddate" column="TAXENDDATE" jdbcType="TIMESTAMP"/>
            <result property="vicesign" column="VICESIGN" jdbcType="VARCHAR"/>
            <result property="taxtype" column="TAXTYPE" jdbcType="VARCHAR"/>
            <result property="remark" column="REMARK" jdbcType="VARCHAR"/>
            <result property="remark1" column="REMARK1" jdbcType="VARCHAR"/>
            <result property="nsrdlj" column="NSRDLJ" jdbcType="VARCHAR"/>
            <result property="opstat" column="OPSTAT" jdbcType="VARCHAR"/>
            <result property="applydate" column="APPLYDATE" jdbcType="VARCHAR"/>
            <result property="enteringtime" column="ENTERINGTIME" jdbcType="TIMESTAMP"/>
            <result property="iTime" column="I_TIME" jdbcType="TIMESTAMP"/>
            <result property="iFlag" column="I_FLAG" jdbcType="VARCHAR"/>
            <result property="iType" column="I_TYPE" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        FPKJXXUUID,YSYSKMXUUID,TRANO,
        TAXORGCODE,PAYBNKNO,ORIMSGNO,
        TRAAMT,PAYEROPBKNO,PAYEROPBKNAME,
        HANDORGNAME,PAYACCT,TAXVOUNO,
        BILLDATE,TAXPAYCODE,TAXPAYNAME,
        BUDGETTYPE,TRIMSIGN,CORPCODE,
        CORPNAME,CORPTYPE,BUDGETSUBJECTCODE,
        BUDGETSUBJECTNAME,LIMITDATE,TAXTYPECODE,
        TAXTYPENAME,BUDGETLEVELCODE,BUDGETLEVELNAME,
        TAXSTARTDATE,TAXENDDATE,VICESIGN,
        TAXTYPE,REMARK,REMARK1,
        NSRDLJ,OPSTAT,APPLYDATE,
        ENTERINGTIME,I_TIME,I_FLAG,
        I_TYPE
    </sql>
</mapper>
